#hmix-notes-panel .hmix-notes-actions {
    display: flex;
    gap: 15px;
    margin-top: 20px;
}


/* Layout */
#hmix-notes-panel .hmix-notes-actions {
    display: flex;
    gap: 15px;
    margin-top: 20px;
}

/* Base */
#hmix-notes-panel .hmix-btn {
    flex: 1;
    padding: 14px 20px;
    font-weight: 600;
    border: none;
    cursor: pointer;
    transition: all 0.2s ease;
    color: #fff;
}

/* Duplicate (Creative / Neutral Accent) */
.hmix-btn-blue {
    background: #2a2a2a;
    color: #fff;
    width: 30vw;
    border-radius: 0px 0 0 15px;
}

.hmix-btn-blue:hover {
    background: #333;
}

/* Delete (Destructive) */
.hmix-btn-red {
    background: #1f6faa;
    border-radius: 0px 0 15px 0px;
}

.hmix-btn-red:hover {
    background: #155a8c;
}

.hmix-notes-actions {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 20px;
}

.hmix-save-wrap {
    display: flex;
    flex-direction: column;
}

.hmix-save-note {
    font-size: 12px;
    margin-top: 6px;
    color: #888;
    opacity: 0.7;
}

.hmix-save-note a {
    color: #888;
    text-decoration: none;
}

.hmix-save-note a:hover {
    color: #aaa;
}

/* Notes panel */
#hmix-notes-panel {
    display: none;
    background: #111;
    /* deep grey */
    padding: 30px;
    overflow: hidden;
    max-width: 1200px;
    margin: auto;
}

#hmix-bottom-player.expanded #hmix-notes-panel {
    display: block;
}

/* Textarea */
#hmix-notes-area {
    width: 100%;
    height: 20vh;
    background: #1a1a1a;
    color: #fff !important;
    border: 1px solid #333;
    border-radius: 15px 15px 0 0;
    padding: 20px;
    font-size: 16px;
    resize: none;
    outline: none;
}

#hmix-notes-area::selection {
    background: #1f6faa50;
    color: #fff6;
}

#hmix-notes-area:focus {
    border-color: #1f6faa;
    box-shadow: 0 0 8px #1f6faa44;
}

#hmix-notes-actions {
    display: flex;
    gap: 12px;
    margin-top: 12px;
}

#hmix-notes-actions button {
    flex: 1;
    padding: 10px;
    background: #2a2a2a;
    border: 1px solid #333;
    color: #777;
    cursor: not-allowed;
    transition: 0.2s ease;
    font-size: 14px;
}

#hmix-notes-actions button.active {
    cursor: pointer;
    color: #fff;
}

#duplicateSelection.active {
    background: #7c3aed22;
    border-color: #7c3aed;
}

#duplicateSelection.active:hover {
    background: #7c3aed50;
    border-color: #7c3aed;
}

#deleteSelection.active {
    background: #dc262622;
    border-color: #dc2626;
}

#deleteSelection.active:hover {
    background: #dc262650;
    border-color: #dc2626;
}

/* Pencil button styling */
.hmix-notes-btn {
    position: absolute;
    background: transparent;
    border: none;
    cursor: pointer;
    padding: 6px;
    top: 15px;
    right: 15px;
}

.hmix-notes-icon {
    width: 18px;
    height: 18px;
    fill: #fff;
    opacity: 0.7;
    transition: all 0.2s ease;
}

.hmix-notes-btn:hover .hmix-notes-icon {
    fill: #fff;
    opacity: 1;
    transform: scale(1.1);
}
